# Generated by Django 3.2.7 on 2021-09-08 08:53

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='CatBreeds',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('breed_name', models.CharField(max_length=255, unique=True, verbose_name='Порода кота')),
            ],
            options={
                'verbose_name': 'Порода кота',
                'verbose_name_plural': 'Попроды котов',
            },
        ),
        migrations.CreateModel(
            name='Cats',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True, verbose_name='Имя кота')),
                ('cat_breed', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='some_app.catbreeds')),
            ],
            options={
                'verbose_name': 'Кот',
                'verbose_name_plural': 'Коты',
            },
        ),
    ]
